Bug 496059 - Hidden SSID+WPA2Enterprise doesn't enable Connect button in dialog
Hidden SSID+WPA2Enterprise doesn't enable Connect button in dialog
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
i686 Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 07:39 EDT by Ludek Finstrle
Modified: 2009-12-18 04:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:15:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of grayed out connect button (34.11 KB, image/png)
2009-04-16 15:55 EDT, Niels Haase
no flags Details

  None (edit)
Description Ludek Finstrle 2009-04-16 07:39:00 EDT
Description of problem:
There is still disabled Connect button in dialog for connecting to hidden wireless network after choosing existing wifi profile (WPA2 Enterprise). When I use New and fill the dialog from scratch everything is working properly.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0.99-5.git20090326.fc10


How reproducible:
The problem appears when I want to connect to hidden wireless network using NetworkManager applet. In dialog connecting to hidden wireless network I choose predefined connection with WPA2 Enterprise and Apply button remains disabled.


Steps to Reproduce:
1.
Create new wireless profile with wireless security using:
WPA & WPA2 Enterprise
TLA
your identity
user certificate
ca certificate
user key
password for user key

2.
In NetworkManager applet use "Connect to hidden wireless network"

3.
Choose created profile in step 1.
  
Actual results:
Apply button remains disabled


Expected results:
Enable Apply button


Additional info:
The workaround is fill the Connect to hidden wireless network dialog from scratch and then Apply button is enabled.

If you want to connect second time don't choose predefined profile but only type SSID and click Connect. After this the hidden network is listed in applet and you can connect.
Comment 1 Niels Haase 2009-04-16 15:53:48 EDT
This bug has been triaged.

I am able to reproduce the bug. But i think you mean the "Connect" button in the "Connect to Hidden Wireless Network" (please see my attached screenshot to ensure that we are having the same issue). The problem is maybe that the "Private Key Password" filed is blank (but can't changed because its grayed out too.) 

The same problem appears if you try to edit the connection and want to use "Apply" button if no private key is entered. Then the button is also grayed out.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Niels Haase 2009-04-16 15:55:13 EDT
Created attachment 339911 [details]
screenshot of grayed out connect button
Comment 3 Ludek Finstrle 2009-05-08 15:13:39 EDT
First, I'm sorry for late response.

Sure. We mean the same button.

I don't know why you have the password field empty (I've filled the password during creating profile so I assume it's used here). I have this field filled with dots. But the connect button is grayed out.
Comment 4 Dan Williams 2009-10-16 19:04:11 EDT
confirmed in NM 0.7.x as well
Comment 5 Dan Williams 2009-10-16 19:39:11 EDT
upstream fix is:

06b820cb281a1f62762b7ceb855f076f71469bb6 (0.7.x)

Will get this into an NM update soon.
Comment 6 Dan Williams 2009-10-30 12:40:02 EDT
Try this update please:

https://admin.fedoraproject.org/updates/F10/FEDORA-2009-10546

and let me know if it fixes your problem.  Thanks!
Comment 8 Fedora Update System 2009-11-04 07:33:54 EST
NetworkManager-0.7.1.998-1.fc11, mobile-broadband-provider-info-1.20090918-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager mobile-broadband-provider-info'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10696
Comment 9 Bug Zapper 2009-11-18 07:49:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Ludek Finstrle 2009-11-22 05:48:31 EST
I'm sorry I'm unable to test it in Fedora 10. I upgraded to F11. I don't have this problem in F11. NM works without problem after upgrade to F11.

I can test it in F11 if you describe how to reproduce it in F11.

Thanks a lot.
Comment 11 Fedora Update System 2009-12-07 02:35:18 EST
mobile-broadband-provider-info-1.20090918-1.fc11, NetworkManager-0.7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Bug Zapper 2009-12-18 04:15:50 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.